# Uses of Class
org.apache.datasketches.sampling.ReservoirItemsUnion

Packages that use ReservoirItemsUnion
Package
Description
org.apache.datasketches.sampling
This package is dedicated to streaming algorithms that enable fixed size, uniform sampling of weighted and unweighted items from a stream.

## Uses of ReservoirItemsUnion in org.apache.datasketches.sampling

Methods in org.apache.datasketches.sampling that return ReservoirItemsUnion
Modifier and Type
Method
Description
`static <T> ReservoirItemsUnion<T>`
ReservoirItemsUnion.`heapify(org.apache.datasketches.memory.Memory srcMem, ArrayOfItemsSerDe<T> serDe)`
Instantiates a Union from Memory
`static <T> ReservoirItemsUnion<T>`
ReservoirItemsUnion.`newInstance(int maxK)`
Creates an empty Union with a maximum reservoir capacity of size k.